Holger's Java API

## com.antelmann.util.gui
Interface FormListener

All Known Implementing Classes:
  FormListener.Adapter

    public interface FormListener

Since:
  13. Mai 2008, 19:44
Author:
  Holger Antelmann

Nested Class Summary
`static class` `FormListener.Adapter`

Method Summary
`void` `formDisposed(Container form)` called after a FormFrame is disposed
`void` `formException(Container form, Exception ex)` called when during a save operation an exception was thrown (including FormValidationExceptions); this method is called right before the exception is indicated to the user via dialog, so that it can be logged.
`void` `formSaved(Container form, Object value)` called when the form successfully ended a save operation

Method Detail

### formDisposed

    void formDisposed(Container form)

  called after a FormFrame is disposed

  Parameters:
    `form` - the Container form that was just closed and initiated this event

### formSaved

    void formSaved(Container form,
                   Object value)

  called when the form successfully ended a save operation

  Parameters:
    `form` - the Container form that generated this event
    `value` - the value generated by the commitForm method of the FormValidator

### formException

    void formException(Container form,
                       Exception ex)

  called when during a save operation an exception was thrown (including FormValidationExceptions); this method is called right before the exception is indicated to the user via dialog, so that it can be logged.

  Parameters:
    `form` - the Container form that generated this event
    `ex` - the Exception thrown by the save action - including FormValidationExceptions
  See Also:
    `FormValidationWarning`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads